Subject: Re: bug#55016: 28.1; xref-find-references finds no matches if project dir contains a space

From: Peter Povinec <[email-masked]>
Date: Mon, 25 Apr 2022 21:57:59 -0700

On Mon, Apr 25, 2022 at 7:07 PM Dmitry Gutov <[email-masked]> wrote:
>
> Anyway, here's the patch in attachment which should be much easier to
> apply either way. It also contains a tiny renaming.

Indeed. It applied successfully, thanks for that.

I can confirm that the patch fixes the bug. However, I noticed a subtle
change in behavior: With the patch, the xref buffer shows the file names
with '~' in them, whereas before the patch, the '~' was resolved to
'/Users/username'. Functionally, it doesn't seem to make a difference
though -- at least as far as I can tell.